public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kristian Fiskerstrand" <k_f@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/nemo/
Date: Tue, 22 Nov 2016 20:42:26 +0000 (UTC)	[thread overview]
Message-ID: <1479847312.40b6557fcdaabf16aa5bf0faf93a551ce4ba1757.k_f@gentoo> (raw)

commit:     40b6557fcdaabf16aa5bf0faf93a551ce4ba1757
Author:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 20:37:06 2016 +0000
Commit:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 20:41:52 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40b6557f

gnome-extra/nemo: New upstream version 3.2.0

Package-Manager: portage-2.3.2

 gnome-extra/nemo/Manifest          |  1 +
 gnome-extra/nemo/nemo-3.2.0.ebuild | 84 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/gnome-extra/nemo/Manifest b/gnome-extra/nemo/Manifest
index 279c187..6d1b943 100644
--- a/gnome-extra/nemo/Manifest
+++ b/gnome-extra/nemo/Manifest
@@ -1,2 +1,3 @@
 DIST nemo-2.8.7.tar.gz 1413445 SHA256 79ca0e28b43ebb701a6449424be1be4224e9014bf1bb3b722d77b23ecb3afab9 SHA512 5daf57f30c3eb9bfaf6eab80e71f84763bad1ca707ecc96194ae9ce5899d33b4fb1e0f784c237741ba06d80b2c6247d3d0d1a6146fb954c5d6a6e18583322f7c WHIRLPOOL d65e1eda923b107a89dca3ebb60a68fe5c71ee9f9aeec3ba6e4d1c52266be91724ff1ead1354fe6998e92f06faaa2a1e4554e28cf59ac2e0dc1e6375b2be8e20
 DIST nemo-3.0.6.tar.gz 1363302 SHA256 3a2704e110a30625f9e807d21df44a577606d383c1eaf1ef4dae0e4dd321cdec SHA512 a2741b13dd258c843a2b9096f6b3aca3cb22647e2d5e6b18013857bbbb4e9aceccbc80713365aff0d25faa31727ff86ec4a86dac2dd8a556cb0a6dc3346f7be2 WHIRLPOOL 9044e85af7e9fadb9ce56f33d0ba63c5f39cbcf8dce2df4850474f03fde440c8ed1e52bc50e92804f4269e2d3c4563760512a23323e1120db3b7ea39d37ed211
+DIST nemo-3.2.0.tar.gz 1365508 SHA256 84c5b0a1999c1b2ab08bd6933aa7c5bc18bb2805e52f2d7fdf2af644cd7cc8ac SHA512 0f238dca5849c9ad333592772588fd7ef5b572056f74794940c2ed6cd099f98587edea364221d5c5281918df21622780567993c051fc4f6adaf8e09ed63356b9 WHIRLPOOL 798856f8d014f1dfacd833a68f465795e33a48ebbabe9cc8ec9ff7c8851bc62576f28a75cbda8460002d01d115cc765ea40a4260a8274c7d3eee3f7d8ed3d0a2

diff --git a/gnome-extra/nemo/nemo-3.2.0.ebuild b/gnome-extra/nemo/nemo-3.2.0.ebuild
new file mode 100644
index 00000000..f7cd08d
--- /dev/null
+++ b/gnome-extra/nemo/nemo-3.2.0.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python3_4 )
+
+inherit autotools eutils gnome2 python-any-r1 virtualx
+
+DESCRIPTION="A file manager for Cinnamon, forked from Nautilus"
+HOMEPAGE="http://cinnamon.linuxmint.com/"
+SRC_URI="https://github.com/linuxmint/nemo/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="exif +introspection +nls packagekit tracker xmp"
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.37.3:2[dbus]
+	>=gnome-extra/cinnamon-desktop-2.6.1:0=
+	>=x11-libs/pango-1.28.3
+	>=x11-libs/gtk+-3.9.10:3[introspection?]
+	>=dev-libs/libxml2-2.7.8:2
+
+	gnome-base/dconf:0=
+	gnome-base/gsettings-desktop-schemas
+	>=x11-libs/libnotify-0.7:=
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXrender
+
+	exif? ( >=media-libs/libexif-0.6.20:= )
+	introspection? ( >=dev-libs/gobject-introspection-0.6.4:= )
+	tracker? ( >=app-misc/tracker-0.12:= )
+	xmp? ( >=media-libs/exempi-2.2.0:= )
+"
+RDEPEND="${COMMON_DEPEND}
+	x11-themes/adwaita-icon-theme
+	nls? ( >=gnome-extra/cinnamon-translations-2.2 )
+"
+
+PDEPEND=">=gnome-base/gvfs-0.1.2"
+
+DEPEND="${COMMON_DEPEND}
+	${PYTHON_DEPS}
+	$(python_gen_any_dep '
+		dev-python/polib[${PYTHON_USEDEP}]
+		dev-python/pygobject:3[${PYTHON_USEDEP}]
+	')
+	>=dev-lang/perl-5
+	>=dev-util/gdbus-codegen-2.31.0
+	dev-util/gtk-doc-am
+	>=dev-util/intltool-0.40.1
+	sys-devel/gettext
+	virtual/pkgconfig
+	x11-proto/xproto
+
+	dev-util/gtk-doc
+	gnome-base/gnome-common
+"
+# For eautoreconf
+#	gnome-base/gnome-common, dev-util/gtk-doc (not only -am!)
+
+src_prepare() {
+	eautoreconf
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure \
+		$(use_enable exif libexif) \
+		$(use_enable introspection) \
+		$(use_enable tracker) \
+		$(use_enable xmp)
+}
+
+src_test() {
+	"${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/libnemo-private" || die
+
+	cd src # we don't care about translation tests
+	GSETTINGS_SCHEMA_DIR="${S}/libnemo-private" virtx emake check
+}


             reply	other threads:[~2016-11-22 20:42 UTC|newest]

Thread overview: 99+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-22 20:42 Kristian Fiskerstrand [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-25 14:22 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/nemo/ Joonas Niilola
2024-09-25 13:58 Joonas Niilola
2024-08-23  5:23 Eli Schwartz
2024-08-23  5:23 Eli Schwartz
2024-08-23  5:23 Eli Schwartz
2024-08-05  3:36 Eli Schwartz
2024-08-05  3:36 Eli Schwartz
2024-05-29 14:43 Jakov Smolić
2024-05-29 11:47 Sam James
2024-02-15 13:29 Joonas Niilola
2023-10-13  7:43 Joonas Niilola
2023-10-04  8:24 Joonas Niilola
2023-09-26 15:59 WANG Xuerui
2023-07-16 18:34 Sam James
2023-07-16 18:34 Sam James
2023-06-05  9:58 Joonas Niilola
2023-06-05  9:58 Joonas Niilola
2023-05-07 22:14 Sam James
2023-05-07 22:14 Sam James
2023-05-01  1:43 Sam James
2023-04-30 23:50 Sam James
2022-12-24  7:11 Sam James
2022-11-22  6:20 Sam James
2022-11-22  6:20 Sam James
2022-11-21 17:46 Arthur Zamarin
2022-10-12 23:09 Sam James
2022-10-12 23:09 Sam James
2022-06-21  7:25 Joonas Niilola
2022-06-21  7:25 Joonas Niilola
2022-06-21  7:25 Joonas Niilola
2022-05-21  6:22 Joonas Niilola
2022-05-21  6:22 Joonas Niilola
2022-05-11  2:11 Sam James
2022-05-05  3:01 Sam James
2022-05-05  3:01 Sam James
2022-02-18  2:44 Sam James
2022-02-18  2:44 Sam James
2022-02-18  2:44 Sam James
2022-01-21 17:15 Sam James
2021-12-24 20:00 Jakov Smolić
2021-12-24 19:25 Jakov Smolić
2021-11-23  1:25 Yixun Lan
2021-10-20  1:14 Sam James
2021-10-20  1:14 Sam James
2021-06-12  3:55 Sam James
2021-06-12  3:55 Sam James
2021-06-08  7:34 Sam James
2021-06-01 16:28 Joonas Niilola
2021-06-01 16:28 Joonas Niilola
2021-04-28 16:27 Matt Turner
2021-03-01 13:02 Joonas Niilola
2021-01-06  1:05 Sam James
2020-12-29 17:14 Sam James
2020-12-27  5:06 Sam James
2020-12-16 22:30 Sam James
2020-10-12  9:06 Joonas Niilola
2020-09-15 14:20 Joonas Niilola
2020-09-09  2:15 Sam James
2020-05-29  0:11 Matt Turner
2019-06-07 20:12 Mikle Kolyada
2019-06-04 20:58 Thomas Deutschmann
2019-04-10 12:20 Mart Raudsepp
2019-04-10 12:20 Mart Raudsepp
2019-04-09 21:09 Mikle Kolyada
2019-04-08  2:18 Thomas Deutschmann
2019-02-15 19:32 Mart Raudsepp
2019-02-12 15:16 Mart Raudsepp
2018-12-05  7:04 Mart Raudsepp
2018-11-28 19:56 Kristian Fiskerstrand
2018-10-30 19:38 Kristian Fiskerstrand
2018-08-02 13:11 Kristian Fiskerstrand
2018-07-31  8:38 Kristian Fiskerstrand
2018-07-31  8:38 Kristian Fiskerstrand
2018-05-26 11:32 Mart Raudsepp
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 14:00 Aaron Bauman
2017-11-26 23:02 David Seifert
2017-11-26 15:43 Kristian Fiskerstrand
2017-09-05 19:45 Kristian Fiskerstrand
2017-06-24 14:58 Kristian Fiskerstrand
2017-04-24 10:52 Pacho Ramos
2016-10-01  0:54 Pacho Ramos
2016-09-17 13:29 Kristian Fiskerstrand
2016-06-25 19:13 Pacho Ramos
2016-06-25 19:13 Pacho Ramos
2016-05-30 21:15 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-03-06 18:58 Mikle Kolyada
2016-01-30 12:57 Pacho Ramos
2016-01-30 12:57 Pacho Ramos
2016-01-11 14:26 Pacho Ramos
2015-12-21 14:27 Patrick Lauer
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-09-07 21:11 Mikle Kolyada
2015-09-05 17:00 Pacho Ramos
2015-09-05 17:00 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1479847312.40b6557fcdaabf16aa5bf0faf93a551ce4ba1757.k_f@gentoo \
    --to=k_f@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox